Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(342)

Unified Diff: platform_tools/android/bin/android_launch_app

Issue 1589883002: SampleApp: Make android_install_app and android_launch_app work consistently (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: Created 4 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « platform_tools/android/bin/android_install_app ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: platform_tools/android/bin/android_launch_app
diff --git a/platform_tools/android/bin/android_launch_app b/platform_tools/android/bin/android_launch_app
index 1d4bc4695abdf94bc7731e7999696f98473db05f..e5fd54c96a411db63241820770bfc30f50d2161a 100755
--- a/platform_tools/android/bin/android_launch_app
+++ b/platform_tools/android/bin/android_launch_app
@@ -14,15 +14,17 @@ fi
app=${APP_ARGS[0]}
if [[ ${app} == '-'* ]]; then
+ echo "Defaulting to running SampleApp."
app="SampleApp"
APP_ARGS=( "SampleApp" ${APP_ARGS[*]} )
fi
if [[ ${app} == 'SampleApp' ]]; then
- $ADB ${DEVICE_SERIAL} shell am start -S -n "com.skia.sampleapp/com.skia.SkiaSampleActivity" --es "cmdLineFlags" "${APP_ARGS[*]:1}"
+ activity="com.skia.sample_app/com.skia.SkiaSampleActivity"
elif [[ ${app} == "VisualBench" ]] ; then
- $ADB ${DEVICE_SERIAL} shell am start -S -n "com.skia.visualbench/com.skia.VisualBenchActivity" --es "cmdLineFlags" \"${APP_ARGS[*]:1}\"
+ activity="com.skia.visualbench/com.skia.VisualBenchActivity"
else
echo "ERROR: supports either 'SampleApp' or 'VisualBench' as valid apps"
+ exit 1
fi
-
+$ADB ${DEVICE_SERIAL} shell "am start -S -n ${activity} --es cmdLineFlags \"${APP_ARGS[*]:1}\""
« no previous file with comments | « platform_tools/android/bin/android_install_app ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698